#include <stdafx.h>
#include "connection.h"

connection::connection(void){
	port = 0;
	ip = "NULL";
	connected = false;
}


void connection::setIP(String^ input){
	ip = input;
}


void connection::setPort(int input){
	port = input;
}


System::String^ connection::getIP(){
	return ip;
}



int connection::getPort(){
	return port;
}


bool connection::open(){
	if(port == 0 || ip == "NULL"){
		return false;
	}
	else {
		try {
			client = gcnew TcpClient(ip,port);
			//client = gcnew TcpClient("192.168.2.4", 10001);
			
			connected = true;
			return true;
		}
		catch (Exception^ e) {
			connected = false;
			return false;
		}
	}
}


void connection::close(){
	stream->Close();
	connected = false;
}


bool connection::send(array<unsigned char,1>^ input){
	try {
		stream = client->GetStream();
		stream->Write(input, 0, input->Length);
		connected = true;

		return true;
	}
	catch (Exception^ e) {
		connected = false;
		return false;
	}
}